
Smart Proxy - Bug #18209

Cannot destroy host if DHCP record is found but is not a lease

01/24/2017 04:45 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When you try to destroy a DHCP record in Libvirt, it's possible that the record is found but it's not in the list of leased_ips.

In such case an error like this shows up:

#=> #&lt;Libvirt::Error: Call to virNetworkUpdate failed: Requested operation is not valid: couldn

&#039;t locate a matching dhcp host entry in network &#039;vagrant-libvirt&#039;&gt;

 To avoid it, let's return a 404 in case the record is not in the list of leased ips.

History

#1 - 01/24/2017 04:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/smart-proxy/pull/499 added

#2 - 01/24/2017 09:57 AM - Daniel Lobato Garcia

- Target version set to 169

#3 - 02/18/2017 10:23 AM - Brad Buckingham

- Target version deleted (169)

#4 - 02/21/2017 09:53 AM - Daniel Lobato Garcia

- Target version set to 1.11.0

#5 - 10/15/2018 11:42 AM - Tomer Brisker

- Target version deleted (1.11.0)

#6 - 01/29/2019 02:50 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- Triaged set to Yes

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/499)

Thanks for the patch, however libvirt provider was vastly refactored. Please rebase on top of develop and reopen if you still want this to get it through.
